Skip to main content
POST
/
organizations
/
{organizationId}
/
invites
Create a user invitation
curl --request POST \
  --url https://api.astronomer.io/platform/v1beta1/organizations/{organizationId}/invites \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inviteeEmail": "user1@company.com",
  "role": "ORGANIZATION_MEMBER"
}
'
{
  "expiresAt": "2022-11-22T04:37:12Z",
  "inviteId": "clm9t1g17000008jmfsw20lsz",
  "invitee": {
    "id": "clm8qv74h000008mlf08scq7k",
    "apiTokenName": "my-token",
    "avatarUrl": "https://avatar.url",
    "fullName": "Jane Doe",
    "subjectType": "USER",
    "username": "user1@company.com"
  },
  "inviter": {
    "id": "clm8qv74h000008mlf08scq7k",
    "apiTokenName": "my-token",
    "avatarUrl": "https://avatar.url",
    "fullName": "Jane Doe",
    "subjectType": "USER",
    "username": "user1@company.com"
  },
  "organizationId": "clm9t0gbt000108jv4f1cfu8u",
  "organizationName": "My Organization",
  "userId": "clm9t060z000008jv3mira7x5"
}

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

The ID of the Organization to invite the user to.

Body

application/json

The request body for creating user invite.

inviteeEmail
string
required

The email of the user to invite.

Example:

"user1@company.com"

role
enum<string>
required

The user's Organization role.

Available options:
ORGANIZATION_OWNER,
ORGANIZATION_OBSERVE_ADMIN,
ORGANIZATION_OBSERVE_MEMBER,
ORGANIZATION_BILLING_ADMIN,
ORGANIZATION_MEMBER
Example:

"ORGANIZATION_MEMBER"

Response

OK

expiresAt
string<date-time>
required

The time when the invite is expired in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

Example:

"2022-11-22T04:37:12Z"

inviteId
string
required

The invite ID.

Example:

"clm9t1g17000008jmfsw20lsz"

invitee
object
required
inviter
object
required
organizationId
string
required

The ID of the Organization where the invite was sent.

Example:

"clm9t0gbt000108jv4f1cfu8u"

organizationName
string

The name of the Organization where the invite was sent.

Example:

"My Organization"

userId
string

The ID for the user who was invited.

Example:

"clm9t060z000008jv3mira7x5"